local _, core = ...; -- Namespace

local AceGUI = LibStub("AceGUI-3.0")


function core.Farming(container)


--[[ Scroll Frame ]]--
local scrollcontainer = AceGUI:Create("SimpleGroup") 
scrollcontainer:SetFullWidth(true)
scrollcontainer:SetFullHeight(true) 
scrollcontainer:SetLayout("Fill") 

container:AddChild(scrollcontainer)

local scroll = AceGUI:Create("ScrollFrame")
scroll:SetLayout("Flow") 
scrollcontainer:AddChild(scroll)
  







local GoldFarming = AceGUI:Create("Button")
  GoldFarming:SetText("Farming 101")
  GoldFarming:SetWidth(350)
  scroll:AddChild(GoldFarming)
  GoldFarming:SetCallback("OnClick", function() 
  
  core.GoldFarming101(container)
  
  end)
  
  local GoldProtentionalWithToys = AceGUI:Create("Button")
  GoldProtentionalWithToys:SetText("Gold Protentional With Toys")
  GoldProtentionalWithToys:SetWidth(350)
  scroll:AddChild(GoldProtentionalWithToys)
  GoldProtentionalWithToys:SetCallback("OnClick", function() 
  
  core.GoldProtentionalWithToys(container)
  
  end)  
  
  
  local FarmingMounts = AceGUI:Create("Button")
  FarmingMounts:SetText("Farming Mounts")
  FarmingMounts:SetWidth(350)
  scroll:AddChild(FarmingMounts)
  FarmingMounts:SetCallback("OnClick", function() 
  
  core.FarmingMounts(container)
  
  end)    
  
  
  local FarmingGoldWithFishing = AceGUI:Create("Button")
  FarmingGoldWithFishing:SetText("Farming Gold With Fishing!")
  FarmingGoldWithFishing:SetWidth(350)
  scroll:AddChild(FarmingGoldWithFishing)
  FarmingGoldWithFishing:SetCallback("OnClick", function() 
  
  core.FarmingGoldWithFishing(container)
  
  end)   
  
  
  local MakingGoldLevellingSkinning = AceGUI:Create("Button")
  MakingGoldLevellingSkinning:SetText("Making Gold Levelling Skinning")
  MakingGoldLevellingSkinning:SetWidth(350)
  scroll:AddChild(MakingGoldLevellingSkinning)
  MakingGoldLevellingSkinning:SetCallback("OnClick", function() 
  
  core.MakingGoldLevellingSkinning(container)
  
  end)    
  
  
  local MiningGoldFarming = AceGUI:Create("Button")
  MiningGoldFarming:SetText("Mining Levelling / Gold Farming Full Guide")
  MiningGoldFarming:SetWidth(350)
  scroll:AddChild(MiningGoldFarming)
  MiningGoldFarming:SetCallback("OnClick", function() 
  
  core.MiningGoldFarming(container)
  
  end)   
  
  
  local HerbalismGoldFarming = AceGUI:Create("Button")
  HerbalismGoldFarming:SetText("Herbalism Levelling / Gold Farming Full Guide")
  HerbalismGoldFarming:SetWidth(350)
  scroll:AddChild(HerbalismGoldFarming)
  HerbalismGoldFarming:SetCallback("OnClick", function() 
  
  core.HerbalismGoldFarming(container)
  
  end)   
  
  
  local GoldWithReputationFarms = AceGUI:Create("Button")
  GoldWithReputationFarms:SetText("Gold With Reputation Farms")
  GoldWithReputationFarms:SetWidth(350)
  scroll:AddChild(GoldWithReputationFarms)
  GoldWithReputationFarms:SetCallback("OnClick", function() 
  
  core.GoldWithReputationFarms(container)
  
  end)    
  
  
  local MakeGoldWithBattlePets = AceGUI:Create("Button")
  MakeGoldWithBattlePets:SetText("Make Gold With Battle Pets!")
  MakeGoldWithBattlePets:SetWidth(350)
  scroll:AddChild(MakeGoldWithBattlePets)
  MakeGoldWithBattlePets:SetCallback("OnClick", function() 
  
  core.MakeGoldWithBattlePets(container)
  
  end)   
  
  
  local Transmog = AceGUI:Create("Button")
  Transmog:SetText("Transmog")
  Transmog:SetWidth(350)
  scroll:AddChild(Transmog)
  Transmog:SetCallback("OnClick", function() 
  
  core.Transmog(container)
  
  end)    
  
  
  
  
  
end